"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

'From Smalltalk/X, Version:2.10.4 on 8-mar-1995 at 15:00:52'!

Object subclass:#CallChain
	 instanceVariableNames:'receiver selector class isBlock rest'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'System-Debugging-Support'
!

!CallChain class methodsFor:'documentation'!

version
"
$Header: /cvs/stx/stx/libbasic3/CallChain.st,v 1.5 1995-08-11 16:00:50 claus Exp $
"
!

documentation
"
    This is is used as a companion to MessageTally.
    Instances of it are used to represent a calling chain.
    (MessageTally could have used the contexts themself, but these
     may create more overhead)
"
!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!CallChain methodsFor:'accessing'!

rest:r
    rest := r.
!

rest
    ^ rest
!

selector
    ^ selector
!

methodClass
    ^ class
!

receiver:r selector:s class:cls 
    receiver := r.
    selector := s.
    class := cls.
    isBlock := false.
!

isBlock 
    ^ isBlock
!

isBlock:aBoolean 
    isBlock := aBoolean.
!

receiver
    ^ receiver
! !

!CallChain methodsFor:'comparing'!

= someInfo
    receiver == someInfo receiver ifFalse:[^ false].
    selector == someInfo selector ifFalse:[^ false].
    ^ class == someInfo methodClass
! !
