"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

OrderedCollection subclass:#ChangeSet
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'System-Changes'
!

ChangeSet comment:'
COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

$Header: /cvs/stx/stx/libbasic3/ChangeSet.st,v 1.10 1995-08-11 16:00:57 claus Exp $
'!

!ChangeSet class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libbasic3/ChangeSet.st,v 1.10 1995-08-11 16:00:57 claus Exp $
"
!

documentation
"
    used in the changes management to keep track of changes
"
! !


!ChangeSet class methodsFor:'queries'!

current
    "ST-80 compatibility: return the current changeSet"

    |p|

    (Project notNil and:[(p := Project current) notNil]) ifTrue:[
	^ p changeSet
    ]

    "
     ChangeSet current 
    "
! !

!ChangeSet methodsFor:'misc'!

addPatch:nameOfPatch
    "ignored for now - allows fileIn of ST-80 patch stuff .."

    ^ self
! !

!ChangeSet methodsFor:'change management'!

addMethodChange:aMethod in:aClass
    |newChange|

    newChange := MethodChange class:aClass
			   selector:(aClass selectorAtMethod:aMethod)
			     source:aMethod source.
    self add:newChange
!

addMethodCategoryChange:aMethod category:newCategory in:aClass
    |newChange|

    newChange := MethodCategoryChange class:aClass
				   selector:(aClass selectorAtMethod:aMethod)
				   category:newCategory.
    self add:newChange

! !

